package com.xhpc.evcs.dto;


import com.fasterxml.jackson.annotation.*;

import java.util.HashMap;
import java.util.Map;

@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class StartChargeRequest {

    @JsonProperty("StartChargeSeq")
    String startChargeSeq;

    @JsonProperty("ConnectorID")
    String connectorId;

    @JsonProperty("QRCode")
    String qRCode;

    @JsonProperty("PhoneNum")
    String PhoneNum;

    @JsonProperty("PlateNum")
    String plateNum;

    @JsonProperty("CarPlateNo")
    String plateNum2;

    @JsonProperty("ChargingAmt")
    Integer chargingAmt;

    @JsonProperty("driverId")
    String driverId;

    @JsonProperty("UserId")
    String userId3rdpty;

    @JsonProperty("FailReasonMsg")
    String failReasonMsg;

    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {

        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {

        this.additionalProperties.put(name, value);
    }

    @JsonProperty("StartChargeSeq")
    public String getStartChargeSeq() {

        return startChargeSeq;
    }

    @JsonProperty("StartChargeSeq")
    public void setStartChargeSeq(String startChargeSeq) {

        this.startChargeSeq = startChargeSeq;
    }

    @JsonProperty("ConnectorID")
    public String getConnectorId() {

        return connectorId;
    }

    @JsonProperty("ConnectorID")
    public void setConnectorId(String connectorId) {

        this.connectorId = connectorId;
    }

    @JsonProperty("QRCode")
    public String getqRCode() {

        return qRCode;
    }

    @JsonProperty("QRCode")
    public void setqRCode(String qRCode) {

        this.qRCode = qRCode;
    }

    @JsonProperty("PhoneNum")
    public String getPhoneNum() {
        return PhoneNum;
    }

    @JsonProperty("PhoneNum")
    public void setPhoneNum(String phoneNum) {
        PhoneNum = phoneNum;
    }

    @JsonProperty("PlateNum")
    public String getPlateNum() {

        return plateNum;
    }

    @JsonProperty("PlateNum")
    public void setPlateNum(String plateNum) {

        this.plateNum = plateNum;
    }

    @JsonProperty("CarPlateNo")
    public String getPlateNum2() {

        return plateNum2;
    }

    @JsonProperty("CarPlateNo")
    public void setPlateNum2(String plateNum2) {

        this.plateNum2 = plateNum2;
    }

    @JsonProperty("ChargingAmt")
    public Integer getChargingAmt() {

        return chargingAmt;
    }

    @JsonProperty("ChargingAmt")
    public void setChargingAmt(Integer chargingAmt) {

        this.chargingAmt = chargingAmt;
    }

    @JsonProperty("driverId")
    public String getDriverId() {

        return driverId;
    }

    @JsonProperty("driverId")
    public void setDriverId(String driverId) {

        this.driverId = driverId;
    }

    @JsonProperty("UserId")
    public String getUserId3rdpty() {

        return userId3rdpty;
    }

    @JsonProperty("UserId")
    public void setUserId3rdpty(String userId3rdpty) {

        this.userId3rdpty = userId3rdpty;
    }

    @JsonProperty("FailReasonMsg")
    public String getFailReasonMsg() {
        return failReasonMsg;
    }

    @JsonProperty("FailReasonMsg")
    public void setFailReasonMsg(String failReasonMsg) {
        this.failReasonMsg = failReasonMsg;
    }
}
